Bug 19653 - Move tools templates JavaScript to the footer: Additional tools
Summary: Move tools templates JavaScript to the footer: Additional tools
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-20 14:50 UTC by Owen Leonard
Modified: 2017-12-14 17:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19653: Move tools templates JavaScript to the footer: Additional tools (93.88 KB, patch)
2017-11-28 16:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19653: Move tools templates JavaScript to the footer: Additional tools (93.93 KB, patch)
2017-12-01 10:55 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19647: Move patron lists templates JS to the footer (14.43 KB, patch)
2017-12-06 15:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19653: Move tools templates JavaScript to the footer: Additional tools (93.99 KB, patch)
2017-12-06 15:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19653: (QA followup) - Add bold style to quotes menu item on quotes-upload page (1.18 KB, patch)
2017-12-06 15:25 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-20 14:50:12 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the templates in the "Additional tools" section.
Comment 1 Owen Leonard 2017-11-28 16:04:58 UTC
Created attachment 69416 [details] [review]
Bug 19653: Move tools templates JavaScript to the footer: Additional tools

This patch modifies the staff client "Additional tools" templates so
that JavaScript is included in the footer instead of the header:

- Calendar
- CSV profiles
- Log viewer
- News
- Task scheduler
- Edit quotes for QOTD feature
- Upload

Note that the log viewer template has been modified so that the
"interface" variable (passed to the template to provide the correct path
to staff client assets) isn't overwritten by an "interface" variable
required by the log viewer.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.
Comment 2 Claire Gravely 2017-12-01 10:55:38 UTC
Created attachment 69427 [details] [review]
Bug 19653: Move tools templates JavaScript to the footer: Additional tools

This patch modifies the staff client "Additional tools" templates so
that JavaScript is included in the footer instead of the header:

- Calendar
- CSV profiles
- Log viewer
- News
- Task scheduler
- Edit quotes for QOTD feature
- Upload

Note that the log viewer template has been modified so that the
"interface" variable (passed to the template to provide the correct path
to staff client assets) isn't overwritten by an "interface" variable
required by the log viewer.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-06 15:22:54 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2017-12-06 15:25:29 UTC
Created attachment 69558 [details] [review]
Bug 19653: Move tools templates JavaScript to the footer: Additional tools

This patch modifies the staff client "Additional tools" templates so
that JavaScript is included in the footer instead of the header:

- Calendar
- CSV profiles
- Log viewer
- News
- Task scheduler
- Edit quotes for QOTD feature
- Upload

Note that the log viewer template has been modified so that the
"interface" variable (passed to the template to provide the correct path
to staff client assets) isn't overwritten by an "interface" variable
required by the log viewer.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Josef Moravec 2017-12-06 15:25:32 UTC
Created attachment 69559 [details] [review]
Bug 19653: (QA followup) - Add bold style to quotes menu item on quotes-upload page

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2017-12-11 14:36:33 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-14 17:52:28 UTC
Awesome work all! Skipping for 17.11, enhancement